Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 530498 - app-emulation/qemu - `qemu-img convert' causes disk image corruption on raw write
Summary: app-emulation/qemu - `qemu-img convert' causes disk image corruption on raw w...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Doug Goldstein
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2014-11-25 03:17 UTC by Tony Breeds
Modified: 2014-12-14 22:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Breeds 2014-11-25 03:17:07 UTC
When 'qemu-img convert' is called to read/write a 'raw' image and the source is not flushed to disk it will corrupt the output image.

The was noticed in the context of openstack but isn't limited to that.

More details are available from:
https://bugs.launchpad.net/qemu/+bug/1368815

Please add the following 2 patches:
  http://git.qemu.org/?p=qemu.git;a=commit;h=38c4d0aea3e1264c86e282d99560330adf2b6e25
  http://git.qemu.org/?p=qemu.git;a=commit;h=7c15903789953ead14a417882657d52dc0c19a24
or update the qemu source to at least 2.2.0-rc0
Comment 1 Matthias Maier gentoo-dev 2014-12-14 22:45:55 UTC
Thank you for reporting this.

This is now fixed in versions 2.1.2-r2, 2.2.0. Version 2.1.2-r2 will get fast stabilized due to bugs #531666, #529030, #528922. Therefore, I close

*qemu-2.1.2-r2 (14 Dec 2014)

  14 Dec 2014; Matthias Maier <tamiko@gentoo.org> +qemu-2.1.2-r2.ebuild:
  backport fixes for bugs #530498, #531666 (CVE-2014-8106), #529030
  (CVE-2014-7840), #528922 (528922)